org.apache.lucene.codecs

## Class PointsReader

- java.lang.Object
- - org.apache.lucene.codecs.PointsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable
  Direct Known Subclasses:
    Lucene86PointsReader

      public abstract class PointsReader
      extends Object
      implements Closeable, Accountable

  Abstract API to visit point values.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PointsReader()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `checkIntegrity()` Checks consistency of this reader.
    `PointsReader` | `getMergeInstance()` Returns an instance optimized for merging.
    `abstract PointValues` | `getValues(String field)` Return `PointValues` for the given `field`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources, ramBytesUsed`

- - ### Constructor Detail

    - #### PointsReader

          protected PointsReader()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### checkIntegrity

          public abstract void checkIntegrity()
                                       throws IOException

      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Throws:
        `IOException`
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### getValues

          public abstract PointValues getValues(String field)
                                         throws IOException

      Return `PointValues` for the given `field`.
      Throws:
        `IOException`

    - #### getMergeInstance

          public PointsReader getMergeInstance()

      Returns an instance optimized for merging. This instance may only be used in the thread that acquires it.

      The default implementation returns `this`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.